import { PaginatedDocs, SanitizedCollectionConfig } from '../../../../../collections/config/types';
import { RelationshipField } from '../../../../../fields/config/types';
export declare type Props = Omit<RelationshipField, 'type'> & {
    path?: string;
};
export declare type Option = {
    label: string;
    value: string;
    relationTo?: string;
    options?: Option[];
};
declare type CLEAR = {
    type: 'CLEAR';
    required: boolean;
};
declare type ADD = {
    type: 'ADD';
    data: PaginatedDocs<any>;
    relation: string;
    hasMultipleRelations: boolean;
    collection: SanitizedCollectionConfig;
};
export declare type Action = CLEAR | ADD;
export declare type ValueWithRelation = {
    relationTo: string;
    value: string;
};
export {};
